#ifndef FMP_SYNCHRONIZER_H
#define FMP_SYNCHRONIZER_H

#include <QObject>
#include "fmp_synchronizer_i.h"

class ctkPluginContext;
class FMPSynchronizerPrivate;

class FMPSynchronizer : public QObject, public FMPSyncInterface
{
    Q_OBJECT
    Q_INTERFACES(FMPSyncInterface)
    Q_DECLARE_PRIVATE(FMPSynchronizer)

public:
    explicit            FMPSynchronizer(ctkPluginContext *ctx);

    //! BaseInterface
    int                 StartService(const FMPProps &props) { return FMP_SUCCESS; }
    int                 StopService() { return FMP_SUCCESS; }
public:
    //! SyncInterface
    void                Sync() {}


private:
    FMPSynchronizerPrivate *d_ptr;
};

#endif // FMP_SYNCHRONIZER_H
